#! /usr/local/bin/apl --script
⍝ ********************************************************************
⍝ utf8_test.apl Workspace to test utf8.apl
⍝ Copyright (C) 2019 Bill Daly

⍝ This program is free software: you can redistribute it and/or modify
⍝ it under the terms of the GNU General Public License as published by
⍝ the Free Software Foundation, either version 3 of the License, or
⍝ (at your option) any later version.

⍝ This program is distributed in the hope that it will be useful,
⍝ but WITHOUT ANY WARRANTY; without even the implied warranty of
⍝ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
⍝ GNU General Public License for more details.

⍝ You should have received a copy of the GNU General Public License
⍝ along with this program.  If not, see <http://www.gnu.org/>

)copy 1 utf8
)copy 1 utl
)copy 5 FILE_IO
)copy 1 find_test_data

∇test∆utf8 ;ix;lb;fnames;content;in;out;outdir;sink
  ⍝ Function reads all the files in dir displaying each file's size.
  ⎕es (utl∆numberp fnames ← utf8∆dir test_data)/test_data,' NOT FOUND.'
  fnames←(~{∧/'sqlite'=¯6↑⍵}¨fnames)/fnames
  sink←((4⍴8)⊥0 7 7 7 ) ⎕fio[20] outdir←'/tmp/test_utf8'
  ix←1
  lb←((⍴fnames)⍴st),ed
st: in←test_data,'/',ix⊃fnames
  ⎕es (utl∆numberp content←utf8∆read in)/in,' NOT FOUND.'
  ⍞←'Size of ',in,⎕av[10],' 555,550'⍕⍴content
  ⍞←⎕tc[3]
  out←outdir,'/',ix⊃fnames
  content utf8∆write out
  →lb[ix←ix+1]
ed: ⍞←'Contents of ',test_data,' copied to ',outdir'. Please check and then remove.'
  ∇
