#! /usr/local/bin/apl --script
⍝ ********************************************************************
⍝ cfg_test.apl Workspace to test cfg
⍝ Copyright (C) 2018 Bill Daly

⍝ This program is free software: you can redistribute it and/or modify
⍝ it under the terms of the GNU General Public License as published by
⍝ the Free Software Foundation, either version 3 of the License, or
⍝ (at your option) any later version.

⍝ This program is distributed in the hope that it will be useful,
⍝ but WITHOUT ANY WARRANTY; without even the implied warranty of
⍝ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
⍝ GNU General Public License for more details.

⍝ You should have received a copy of the GNU General Public License
⍝ along with this program.  If not, see <http://www.gnu.org/licenses/>.

⍝ ********************************************************************

)copy 1 cfg
)copy 1 assert
)copy 1 find_test_data
)copy 5 FILE_IO

∇ test∆cfg;t1
  ⍝ Routine to test workspace cfg
ok:
  ⍞←'sample.ini uses ''='' as a delimiter',⎕tc[3]
  assert∆setup 't1←cfg∆parse_file test_data,''/sample.ini'''
  'DEFAULT' 'bitbucket.org' assert∆toScreen 'lex∆keys t1'
  'ServerAliveInterval' 'Compression' 'CompressionLevel' 'ForwardX11' assert∆toScreen 'lex∆keys t1 lex∆lookup ''DEFAULT'''
  'yes' assert∆toScreen '(t1 lex∆lookup ''DEFAULT'') lex∆lookup ''Compression'''
⍝ sample.cfg
  ⍞←'sample.cfg uses '':'' as a delimiter',⎕tc[3]
  assert∆setup 't1←cfg∆parse_file test_data,''/sample.cfg'''
  'DEFAULT' 'bitbucket.org' assert∆toScreen 'lex∆keys t1'
  'ServerAliveInterval' 'Compression' 'CompressionLevel' 'ForwardX11' assert∆toScreen 'lex∆keys t1 lex∆lookup ''DEFAULT'''
  'yes' assert∆toScreen '(t1 lex∆lookup ''DEFAULT'') lex∆lookup ''Compression'''
⍝ sample2.ini
  assert∆setup 't1←cfg∆parse_file test_data,''/sample2.ini'''
  'DEFAULT' '<Generic Network Card>' 'Ports' assert∆toScreen 'lex∆keys t1'
  'PORTS' 'NAME' 'PROTOCOL1' 'PORTNUMBER1' 'SNMP1' assert∆toScreen 'lex∆keys t1 lex∆lookup ''<Generic Network Card>'''
  'Generic Network Card' assert∆toScreen '(t1 lex∆lookup ''<Generic Network Card>'') lex∆lookup ''NAME'''
∇
